Wambesha 目录 API · v1 · Bearer 认证

影视元数据,通过单一 REST API 获取

搜索、片名、季与集、演员与工作人员、人物及其作品年表、美术图片、类型,以及变更信息流。

免费套餐每月包含 5万 次 API 调用。无需信用卡,也没有试用倒计时。

已经有密钥了吗?打开控制台

立即试用

#

这是使用公开演示密钥对目录发出的真实请求。复制该调用即可直接运行。

q=gladiator 的响应示例

{
  "query": "gladiator",
  "titles": {
    "items": [
      {
        "id": "mv_3RGB99HMTQ",
        "type": "movie",
        "title": "Gladiator II",
        "year": 2024,
        "poster": {
          "url": "https://images.example.com/catalog/9c2a98f3-80be-4b59-940e-57ea9006b9d2/poster/en/v1/w500.webp",
          "width": 2000,
          "height": 3000,
          "language": "en",
          "kind": "poster"
        },
        "genres": [
          "Action",
          "Adventure"
        ],
        "synopsis": "Years after witnessing the death of the revered hero Maximus at the hands of his uncle, Lucius is forced to enter the Colosseum after his home is conquered...",
        "matched_aka": null
      }
    ],
    "next_cursor": null,
    "total": 1
  },
  "people": {
    "items": [
      {
        "id": "pn_SKW629DDD9",
        "name": "Aurélia Agel",
        "credit_count": 2
      },
      {
        "id": "pn_8QVK5774WN",
        "name": "Genadiy Ganchev",
        "credit_count": 2
      }
    ],
    "next_cursor": "djF8ZGI2YjE0MDY5NTNhZjg5OHxyZWxldmFuY2VfcGVvcGxlfDI",
    "total": 369
  },
  "language": "en"
}

GET/v1/search?q=Arrival

curl "https://api.wambesha.com/v1/search?q=Arrival" \
  -H "Authorization: Bearer YOUR_API_KEY"

版本管理

#
  • 您正在使用 v1。每个 URL 中都包含版本号:api.wambesha.com/v1/…
  • v1 永远不会出现破坏性变更:在 v1 内,路径、必填参数和响应字段都不会改变。可能会新增字段和端点,且会先在变更日志中公布。
  • 破坏性变更会以 v2 的形式发布,使用新的 URL,并与 v1 并存。v2 发布后,v1 仍会继续运行 12 个月。
阅读变更日志

价格

#
  • 免费版

    US$0

  • 入门版

    每月 US$19

  • 专业版

    每月 US$99

  • 工作室版

    每月 US$499

  • 企业版

    联系我们

比较套餐

常见问题

#
全部问题

快速入门

#

从获取密钥到收到第一个响应,只需三步。

打开快速入门

获取密钥,发出第一次调用。

获取免费 API 密钥